<RelativeLayout xmlns:tools="http://schemas.android.com/tools"
    xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:background="@drawable/gradient_example"
    android:paddingBottom="@dimen/activity_vertical_margin"
    android:paddingRight="@dimen/activity_horizontal_margin"
    android:paddingTop="@dimen/activity_vertical_margin"
    android:fitsSystemWindows="true"
    android:screenOrientation="portrait"
    tools:context=".LocustActivity">

    <ScrollView
        android:id="@+id/scrollView1"
        android:layout_width="match_parent"
        android:layout_height="wrap_content" >

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true"
            android:layout_alignParentRight="true"
            android:layout_alignParentTop="true"
            android:orientation="vertical"
            android:divider="@drawable/spacer_medium"
            android:showDividers="middle">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:divider="@drawable/spacer_medium"
                android:showDividers="middle"
                android:paddingLeft="@dimen/activity_horizontal_margin">

                <TextView
                    android:id="@+id/tvImage1"
                    android:maxLines="1"
                    android:singleLine="true"
                    android:inputType="text"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/Photo1"
                    android:textAppearance="?android:attr/textAppearanceSmall" />

                <EditText
                    android:id="@+id/edtImage1"
                    android:maxLines="1"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:ems="10"
                    android:enabled="false"
                    android:focusable="false"
                    android:hint="" />

                <com.google.android.material.button.MaterialButton
                    android:id="@+id/btnImage1"
                    style="@style/Widget.MaterialComponents.Button.Icon"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:insetLeft="0dp"
                    android:insetTop="0dp"
                    android:insetRight="0dp"
                    android:insetBottom="0dp"
                    android:minWidth="40dp"
                    app:icon="@drawable/ic_camera"
                    app:iconGravity="textStart"
                    app:iconPadding="0dp"
                    app:iconSize="24dp" />

                <com.google.android.material.button.MaterialButton
                    android:id="@+id/btnShowImage1"
                    style="@style/Widget.MaterialComponents.Button.Icon"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:insetLeft="0dp"
                    android:insetTop="0dp"
                    android:insetRight="0dp"
                    android:insetBottom="0dp"
                    android:minWidth="40dp"
                    app:icon="@drawable/ic_photo"
                    app:iconGravity="textStart"
                    app:iconPadding="0dp"
                    app:iconSize="24dp" />

                <com.google.android.material.button.MaterialButton
                    android:id="@+id/btnDelImage1"
                    style="@style/Widget.MaterialComponents.Button.Icon"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:insetLeft="0dp"
                    android:insetTop="0dp"
                    android:insetRight="0dp"
                    android:insetBottom="0dp"
                    android:minWidth="40dp"
                    app:icon="@drawable/ic_delete"
                    app:iconGravity="textStart"
                    app:iconPadding="0dp"
                    app:iconSize="24dp" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:divider="@drawable/spacer_medium"
                android:showDividers="middle"
                android:paddingLeft="@dimen/activity_horizontal_margin">

                <TextView
                    android:id="@+id/tvImage2"
                    android:maxLines="1"
                    android:singleLine="true"
                    android:inputType="text"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/Photo2"
                    android:textAppearance="?android:attr/textAppearanceSmall" />

                <EditText
                    android:id="@+id/edtImage2"
                    android:maxLines="1"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:ems="10"
                    android:enabled="false"
                    android:focusable="false"
                    android:hint="" />

                <com.google.android.material.button.MaterialButton
                    android:id="@+id/btnImage2"
                    style="@style/Widget.MaterialComponents.Button.Icon"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:insetLeft="0dp"
                    android:insetTop="0dp"
                    android:insetRight="0dp"
                    android:insetBottom="0dp"
                    android:minWidth="40dp"
                    app:icon="@drawable/ic_camera"
                    app:iconGravity="textStart"
                    app:iconPadding="0dp"
                    app:iconSize="24dp" />

                <com.google.android.material.button.MaterialButton
                    android:id="@+id/btnShowImage2"
                    style="@style/Widget.MaterialComponents.Button.Icon"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:insetLeft="0dp"
                    android:insetTop="0dp"
                    android:insetRight="0dp"
                    android:insetBottom="0dp"
                    android:minWidth="40dp"
                    app:icon="@drawable/ic_photo"
                    app:iconGravity="textStart"
                    app:iconPadding="0dp"
                    app:iconSize="24dp" />

                <com.google.android.material.button.MaterialButton
                    android:id="@+id/btnDelImage2"
                    style="@style/Widget.MaterialComponents.Button.Icon"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:insetLeft="0dp"
                    android:insetTop="0dp"
                    android:insetRight="0dp"
                    android:insetBottom="0dp"
                    android:minWidth="40dp"
                    app:icon="@drawable/ic_delete"
                    app:iconGravity="textStart"
                    app:iconPadding="0dp"
                    app:iconSize="24dp" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:divider="@drawable/spacer_medium"
                android:showDividers="middle"
                android:paddingLeft="@dimen/activity_horizontal_margin">

                <TextView
                    android:id="@+id/tvImage3"
                    android:maxLines="1"
                    android:singleLine="true"
                    android:inputType="text"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/Photo3"
                    android:textAppearance="?android:attr/textAppearanceSmall" />

                <EditText
                    android:id="@+id/edtImage3"
                    android:maxLines="1"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:ems="10"
                    android:enabled="false"
                    android:focusable="false"
                    android:hint="" />

                <com.google.android.material.button.MaterialButton
                    android:id="@+id/btnImage3"
                    style="@style/Widget.MaterialComponents.Button.Icon"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:insetLeft="0dp"
                    android:insetTop="0dp"
                    android:insetRight="0dp"
                    android:insetBottom="0dp"
                    android:minWidth="40dp"
                    app:icon="@drawable/ic_camera"
                    app:iconGravity="textStart"
                    app:iconPadding="0dp"
                    app:iconSize="24dp" />

                <com.google.android.material.button.MaterialButton
                    android:id="@+id/btnShowImage3"
                    style="@style/Widget.MaterialComponents.Button.Icon"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:insetLeft="0dp"
                    android:insetTop="0dp"
                    android:insetRight="0dp"
                    android:insetBottom="0dp"
                    android:minWidth="40dp"
                    app:icon="@drawable/ic_photo"
                    app:iconGravity="textStart"
                    app:iconPadding="0dp"
                    app:iconSize="24dp" />

                <com.google.android.material.button.MaterialButton
                    android:id="@+id/btnDelImage3"
                    style="@style/Widget.MaterialComponents.Button.Icon"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:insetLeft="0dp"
                    android:insetTop="0dp"
                    android:insetRight="0dp"
                    android:insetBottom="0dp"
                    android:minWidth="40dp"
                    app:icon="@drawable/ic_delete"
                    app:iconGravity="textStart"
                    app:iconPadding="0dp"
                    app:iconSize="24dp" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="@dimen/activity_horizontal_margin">

                <TextView
                    android:id="@+id/textView1"
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:paddingLeft="10dp"
                    android:textColor="@color/text_title"
                    android:gravity="left|center"
                    android:background="#dddddd"
                    android:text="@string/Identification_of_the_place"
                    android:textStyle="bold"/>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content" >
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star"
                    android:contentDescription="@null"
                    android:layout_gravity="center_vertical"/>
                <TextView
                    android:id="@+id/tvCountry"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/Country"
                    android:textAppearance="?android:attr/textAppearanceSmall"
                    android:textStyle="bold"
                    android:layout_gravity="center_vertical"/>
                <dbfields.SpinnerDB
                    android:id="@+id/spiCountry"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    style="@style/SpinnerStyle"
                    android:minHeight="@dimen/minHeight"/>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content" >
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star"
                    android:contentDescription="@null"
                    android:layout_gravity="center_vertical"/>
                <TextView
                    android:id="@+id/tvRegion"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/Region"
                    android:textAppearance="?android:attr/textAppearanceSmall"
                    android:textStyle="bold"
                    android:layout_gravity="center_vertical"/>
                <dbfields.SpinnerDB
                    android:id="@+id/spiRegion"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    style="@style/SpinnerStyle"
                    android:minHeight="@dimen/minHeight"/>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content" >
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star"
                    android:contentDescription="@null"
                    android:layout_gravity="center_vertical"/>
                <TextView
                    android:id="@+id/tvArea"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/Area"
                    android:textAppearance="?android:attr/textAppearanceSmall"
                    android:textStyle="bold" />
                <EditText
                    android:id="@+id/edtArea"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:ems="10"
                    android:hint="" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="@dimen/activity_horizontal_margin">

                <TextView
                    android:id="@+id/tvDistrict"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/Rural_district"
                    android:textAppearance="?android:attr/textAppearanceSmall" />

                <EditText
                    android:id="@+id/edtDistrict"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:ems="10"
                    android:hint="" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="@dimen/activity_horizontal_margin">

                <TextView
                    android:id="@+id/tvVillage"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/Name_of_the_village"
                    android:textAppearance="?android:attr/textAppearanceSmall" />

                <EditText
                    android:id="@+id/edtVillage"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:ems="10"
                    android:hint="" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="@dimen/activity_horizontal_margin">

                <TextView
                    android:id="@+id/tvTerrain"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/Farm_or_site"
                    android:textAppearance="?android:attr/textAppearanceSmall" />

                <EditText
                    android:id="@+id/edtTerrain"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:ems="10"
                    android:hint="" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content" >
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star"
                    android:contentDescription="@null"
                    android:layout_gravity="center_vertical"/>
                <TextView
                    android:id="@+id/tvObserver"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/Name_of_survey_team_leader"
                    android:textAppearance="?android:attr/textAppearanceSmall"
                    android:textStyle="bold" />
                <EditText
                    android:id="@+id/edtObserver"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:ems="10"
                    android:hint="" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content" >
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star"
                    android:contentDescription="@null"
                    android:layout_gravity="center_vertical"/>
                <TextView
                    android:id="@+id/tvDate"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/Date"
                    android:textAppearance="?android:attr/textAppearanceSmall"
                    android:textStyle="bold" />
                <dbfields.DateTimeText
                    android:id="@+id/edtDate"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:enabled="false"
                    android:hint=""
                    android:inputType="date" />
                <EditText
                    android:id="@+id/edtTimeZone"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_column="2"
                    android:layout_row="0"
                    android:hint=""
                    android:visibility="invisible" />

                <com.google.android.material.button.MaterialButton
                    android:id="@+id/btnGetDate"
                    style="@style/Widget.MaterialComponents.Button.Icon"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:insetLeft="0dp"
                    android:insetTop="0dp"
                    android:insetRight="0dp"
                    android:insetBottom="0dp"
                    android:minWidth="40dp"
                    app:icon="@drawable/ic_clock"
                    app:iconGravity="textStart"
                    app:iconPadding="0dp"
                    app:iconSize="24dp" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:divider="@drawable/spacer_medium"
                android:showDividers="middle">
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star"
                    android:contentDescription="@null"
                    android:layout_gravity="center_vertical"/>
                <TextView
                    android:id="@+id/tvLatCenter"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/Lat_center"
                    android:textAppearance="?android:attr/textAppearanceSmall"
                    android:textStyle="bold" />
                <EditText
                    android:id="@+id/edtLatCenter"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:ems="10"
                    android:enabled="false"
                    android:inputType="numberDecimal" />
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star"
                    android:contentDescription="@null"
                    android:layout_gravity="center_vertical"/>
                <TextView
                    android:id="@+id/tvLonCenter"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/Lon_center"
                    android:textAppearance="?android:attr/textAppearanceSmall"
                    android:textStyle="bold" />
                <EditText
                    android:id="@+id/edtLonCenter"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:ems="10"
                    android:enabled="false"
                    android:inputType="numberDecimal" />

                <com.google.android.material.button.MaterialButton
                    android:id="@+id/btnGetGPSCenter"
                    style="@style/Widget.MaterialComponents.Button.Icon"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:insetLeft="0dp"
                    android:insetTop="0dp"
                    android:insetRight="0dp"
                    android:insetBottom="0dp"
                    android:minWidth="40dp"
                    app:icon="@drawable/ic_location"
                    app:iconGravity="textStart"
                    app:iconPadding="0dp"
                    app:iconSize="24dp" />
                <com.google.android.material.button.MaterialButton
                    android:id="@+id/btnDelGPSCenter"
                    style="@style/Widget.MaterialComponents.Button.Icon"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:insetLeft="0dp"
                    android:insetTop="0dp"
                    android:insetRight="0dp"
                    android:insetBottom="0dp"
                    android:minWidth="40dp"
                    app:icon="@drawable/ic_delete"
                    app:iconGravity="textStart"
                    app:iconPadding="0dp"
                    app:iconSize="24dp" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <ListView
                    android:id="@+id/latlonList"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <com.google.android.material.button.MaterialButton
                    android:id="@+id/btnOnMap"
                    style="@style/Widget.MaterialComponents.Button.Icon"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:minWidth="190dp"
                    android:minHeight="40dp"
                    android:text="@string/Show_map"
                    app:icon="@drawable/ic_map"
                    app:iconGravity="textStart"
                    android:paddingLeft="@dimen/activity_horizontal_margin"/>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content" >
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star"
                    android:contentDescription="@null"
                    android:layout_gravity="center_vertical"/>
                <TextView
                    android:id="@+id/tvBioHectare"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/Surveyed_area_ha"
                    android:textAppearance="?android:attr/textAppearanceSmall"
                    android:textStyle="bold" />
                <EditText
                    android:id="@+id/edtBioHectare"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:ems="10"
                    android:inputType="numberDecimal" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:paddingLeft="10dp"
                    android:background="#dddddd"
                    android:text="@string/ECOLOGICAL_INFORMATION"
                    android:textStyle="bold"
                    android:textColor="@color/text_title"
                    android:gravity="left|center"
                    />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content" >
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star"
                    android:contentDescription="@null"
                    android:layout_gravity="center_vertical"/>
                <TextView
                    android:id="@+id/tvBioBiotope"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/Type_of_biotope"
                    android:textAppearance="?android:attr/textAppearanceSmall"
                    android:textStyle="bold"
                    android:layout_gravity="center_vertical"/>
                <dbfields.SpinnerDB
                    android:id="@+id/spiBioBiotope"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    style="@style/SpinnerStyle"
                    android:minHeight="@dimen/minHeight"/>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content" >
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star"
                    android:contentDescription="@null"
                    android:layout_gravity="center_vertical"/>
                <TextView
                    android:id="@+id/tvBioGreenery"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/Vegetation"
                    android:textAppearance="?android:attr/textAppearanceSmall"
                    android:textStyle="bold"
                    android:layout_gravity="center_vertical"/>
                <dbfields.SpinnerDB
                    android:id="@+id/spiBioGreenery"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    style="@style/SpinnerStyle"
                    android:minHeight="@dimen/minHeight"/>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content" >
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star"
                    android:contentDescription="@null"
                    android:layout_gravity="center_vertical"/>
                <TextView
                    android:id="@+id/tvBioGreeneryCover"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/Vegetation_cover"
                    android:textAppearance="?android:attr/textAppearanceSmall"
                    android:textStyle="bold"
                    android:layout_gravity="center_vertical"/>
                <dbfields.SpinnerDB
                    android:id="@+id/spiBioGreeneryCover"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    style="@style/SpinnerStyle"
                    android:minHeight="@dimen/minHeight"/>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="@dimen/activity_horizontal_margin">

                <TextView
                    android:id="@+id/tvBioTemperature"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/Air_temperature" />

                <EditText
                    android:id="@+id/edtBioTemperature"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:ems="10"
                    android:inputType="numberDecimal" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="@dimen/activity_horizontal_margin">

                <TextView
                    android:id="@+id/tvBioWind"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/Wind_m_s"
                    android:textAppearance="?android:attr/textAppearanceSmall" />

                <EditText
                    android:id="@+id/edtBioWind"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:ems="10"
                    android:inputType="numberDecimal" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="@dimen/activity_horizontal_margin">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:paddingLeft="10dp"
                    android:background="#dddddd"
                    android:text="@string/LOCUST_INFORMATION_INCLUDING_EGG_PODS"
                    android:textColor="@color/text_title"
                    android:textStyle="bold"
                    android:gravity="left|center"/>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content" >
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star"
                    android:contentDescription="@null"
                    android:layout_gravity="center_vertical"/>
                <TextView
                    android:id="@+id/tvLocustHave"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/Are_locusts_present"
                    android:textAppearance="?android:attr/textAppearanceSmall"
                    android:textStyle="bold"
                    android:layout_gravity="center_vertical"/>
                <dbfields.SpinnerDB
                    android:id="@+id/spiLocustHave"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    style="@style/SpinnerStyle"
                    android:minHeight="@dimen/minHeight"/>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content" >
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star"
                    android:contentDescription="@null"
                    android:layout_gravity="center_vertical"/>
                <TextView
                    android:id="@+id/tvLocustType"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/Locust_species"
                    android:textAppearance="?android:attr/textAppearanceSmall"
                    android:textStyle="bold"
                    android:layout_gravity="center_vertical"/>
                <dbfields.SpinnerDB
                    android:id="@+id/spiLocustType"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    style="@style/SpinnerStyle"
                    android:minHeight="@dimen/minHeight"/>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content" >
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star"
                    android:contentDescription="@null"
                    android:layout_gravity="center_vertical"/>
                <TextView
                    android:id="@+id/tvLocustPopulated"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/Area_infested_ha"
                    android:textAppearance="?android:attr/textAppearanceSmall"
                    android:textStyle="bold" />
                <EditText
                    android:id="@+id/edtLocustPopulated"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:ems="10"
                    android:inputType="numberDecimal" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <CheckBox
                        android:id="@+id/cbEggs"
                        android:layout_width="match_parent"
                        android:layout_height="40dp"
                        android:background="#dddddd"
                        android:paddingLeft="@dimen/padding_checkbox"
                        android:text="@string/Eggs"
                        android:textStyle="bold" />
                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:id="@+id/llEggs"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical" >

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingLeft="@dimen/activity_horizontal_margin">

                    <TextView
                        android:id="@+id/tvEggsCapsulesArea"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/Egg_bed_surface_in_ha"
                        android:textAppearance="?android:attr/textAppearanceSmall"/>

                    <EditText
                        android:id="@+id/edtEggsCapsulesArea"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:ems="10"
                        android:inputType="numberDecimal" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" >
                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star"
                        android:contentDescription="@null"
                        android:layout_gravity="center_vertical"/>
                    <TextView
                        android:id="@+id/tvEggsCapsulesDensity"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/Egg_pods_density_m2"
                        android:textAppearance="?android:attr/textAppearanceSmall"
                        android:textStyle="bold" />
                    <TextView
                        android:id="@+id/tvEggsCapsulesDensityFrom"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/from"
                        android:textAppearance="?android:attr/textAppearanceSmall"
                        android:textStyle="bold" />


                    <EditText
                        android:id="@+id/edtEggsCapsulesDensity"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:ems="10"
                        android:inputType="numberDecimal" />
                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star"
                        android:contentDescription="@null"
                        android:layout_gravity="center_vertical"/>
                    <TextView
                        android:id="@+id/tvEggsCapsulesDensityTo"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/to"
                        android:textAppearance="?android:attr/textAppearanceSmall"
                        android:textStyle="bold" />

                    <EditText
                        android:id="@+id/edtEggsCapsulesDensityTo"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:ems="10"
                        android:inputType="numberDecimal" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingLeft="@dimen/activity_horizontal_margin">

                    <TextView
                        android:id="@+id/tvEggsCapsules"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/Eggs_average_number_egg_pod"
                        android:textAppearance="?android:attr/textAppearanceSmall" />

                    <EditText
                        android:id="@+id/edtEggsCapsules"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:ems="10"
                        android:inputType="numberDecimal" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" >
                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star"
                        android:contentDescription="@null"
                        android:layout_gravity="center_vertical"/>
                    <TextView
                        android:id="@+id/tvEggsLive"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/Eggs_viable"
                        android:textAppearance="?android:attr/textAppearanceSmall"
                        android:textStyle="bold" />
                    <EditText
                        android:id="@+id/edtEggsLive"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:ems="10"
                        android:inputType="numberDecimal" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" >
                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star"
                        android:contentDescription="@null"
                        android:layout_gravity="center_vertical"/>
                    <TextView
                        android:id="@+id/tvEggsEnemies"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/Natural_enemies"
                        android:textAppearance="?android:attr/textAppearanceSmall"
                        android:textStyle="bold"
                        android:layout_gravity="center_vertical"/>
                    <dbfields.SpinnerDB
                        android:id="@+id/spiEggsEnemies"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        style="@style/SpinnerStyle"
                        android:minHeight="@dimen/minHeight"/>
                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <CheckBox
                    android:id="@+id/cbHoppers"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingLeft="@dimen/padding_checkbox"
                    android:background="#dddddd"
                    android:text="@string/HOPPERS_SCATTERED"
                    android:textStyle="bold" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/llHoppers"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical" >

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" >
                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star"
                        android:contentDescription="@null"
                        android:layout_gravity="center_vertical"/>
                    <TextView
                        android:id="@+id/tvLarvaBorn"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/Hatching"
                        android:textAppearance="?android:attr/textAppearanceSmall"
                        android:textStyle="bold"
                        android:layout_gravity="center_vertical"/>
                    <dbfields.SpinnerDB
                        android:id="@+id/spiLarvaBorn"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        style="@style/SpinnerStyle"
                        android:minHeight="@dimen/minHeight"/>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" >
                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star"
                        android:contentDescription="@null"
                        android:layout_gravity="center_vertical"/>
                    <TextView
                        android:id="@+id/tvLarvaAge"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/Hopper_stages"
                        android:textAppearance="?android:attr/textAppearanceSmall"
                        android:textStyle="bold"
                        android:layout_gravity="center_vertical"/>
                    <dbfields.SpinnerDB
                        android:id="@+id/spiLarvaAge"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        style="@style/SpinnerStyle"
                        android:minHeight="@dimen/minHeight"/>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingLeft="@dimen/activity_horizontal_margin">

                    <TextView
                        android:id="@+id/tvLarvaPainting"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/Appearance"
                        android:textAppearance="?android:attr/textAppearanceSmall"
                        android:layout_gravity="center_vertical"/>

                    <dbfields.SpinnerDB
                        android:id="@+id/spiLarvaPainting"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        style="@style/SpinnerStyle"
                        android:minHeight="@dimen/minHeight"/>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" >
                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star"
                        android:contentDescription="@null"
                        android:layout_gravity="center_vertical"/>
                    <TextView
                        android:id="@+id/tvLarvaBehavior"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/Spatial_distribution"
                        android:textAppearance="?android:attr/textAppearanceSmall"
                        android:textStyle="bold"
                        android:layout_gravity="center_vertical"/>
                    <dbfields.SpinnerDB
                        android:id="@+id/spiLarvaBehavior"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        style="@style/SpinnerStyle"
                        android:minHeight="@dimen/minHeight"/>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" >
                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star"
                        android:contentDescription="@null"
                        android:layout_gravity="center_vertical"/>
                    <TextView
                        android:id="@+id/tvLarvaDensity"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/Hopper_density_m2"
                        android:textAppearance="?android:attr/textAppearanceSmall"
                        android:textStyle="bold" />
                    <TextView
                        android:id="@+id/tvLarvaDensityFrom"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/from"
                        android:textAppearance="?android:attr/textAppearanceSmall"
                        android:textStyle="bold" />
                    <EditText
                        android:id="@+id/edtLarvaDensity"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:ems="10"
                        android:inputType="numberDecimal" />
                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star"
                        android:contentDescription="@null"
                        android:layout_gravity="center_vertical"/>
                    <TextView
                        android:id="@+id/tvLarvaDensityTo"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/to"
                        android:textAppearance="?android:attr/textAppearanceSmall"
                        android:textStyle="bold" />
                    <EditText
                        android:id="@+id/edtLarvaDensityTo"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:ems="10"
                        android:inputType="numberDecimal" />
                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <CheckBox
                    android:id="@+id/cbBands"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingLeft="@dimen/padding_checkbox"
                    android:background="#dddddd"
                    android:text="@string/Bands"
                    android:textStyle="bold" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/llBands"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical" >

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" >
                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star"
                        android:contentDescription="@null"
                        android:layout_gravity="center_vertical"/>
                    <TextView
                        android:id="@+id/tvKuliguliDensity"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/Minimum_density_in_the_band_in_m2"
                        android:textAppearance="?android:attr/textAppearanceSmall"
                        android:textStyle="bold" />
                    <EditText
                        android:id="@+id/edtKuliguliDensity"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:ems="10"
                        android:inputType="numberDecimal" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" >
                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star"
                        android:contentDescription="@null"
                        android:layout_gravity="center_vertical"/>
                    <TextView
                        android:id="@+id/tvKuliguliDensityTo"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/Maximum_density_in_the_band_in_m2"
                        android:textAppearance="?android:attr/textAppearanceSmall"
                        android:textStyle="bold" />
                    <EditText
                        android:id="@+id/edtKuliguliDensityTo"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:ems="10"
                        android:inputType="numberDecimal" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" >
                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star"
                        android:contentDescription="@null"
                        android:layout_gravity="center_vertical"/>
                    <TextView
                        android:id="@+id/tvKuliguliSize"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/Band_sizes_m2"
                        android:textAppearance="?android:attr/textAppearanceSmall"
                        android:textStyle="bold" />
                    <EditText
                        android:id="@+id/edtKuliguliSize"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:ems="10"
                        android:inputType="numberDecimal" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingLeft="@dimen/activity_horizontal_margin">

                    <TextView
                        android:id="@+id/tvKuliguliCount"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/Number_of_bands"
                        android:textAppearance="?android:attr/textAppearanceSmall" />

                    <EditText
                        android:id="@+id/edtKuliguliCount"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:ems="10"
                        android:inputType="numberDecimal" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" >
                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star"
                        android:contentDescription="@null"
                        android:layout_gravity="center_vertical"/>
                    <TextView
                        android:id="@+id/tvKuliguliAction"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/Action"
                        android:textAppearance="?android:attr/textAppearanceSmall"
                        android:textStyle="bold"
                        android:layout_gravity="center_vertical"/>
                    <dbfields.SpinnerDB
                        android:id="@+id/spiKuliguliAction"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        style="@style/SpinnerStyle"
                        android:minHeight="@dimen/minHeight"/>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" >
                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star"
                        android:contentDescription="@null"
                        android:layout_gravity="center_vertical"/>
                    <TextView
                        android:id="@+id/tvKuliguliAge"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/Hopper_stages"
                        android:textAppearance="?android:attr/textAppearanceSmall"
                        android:textStyle="bold"
                        android:layout_gravity="center_vertical"/>
                    <dbfields.SpinnerDB
                        android:id="@+id/spiKuliguliAge"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        style="@style/SpinnerStyle"
                        android:minHeight="@dimen/minHeight"/>
                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <CheckBox
                    android:id="@+id/cbAdults"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingLeft="@dimen/padding_checkbox"
                    android:background="#dddddd"
                    android:text="@string/Adults"
                    android:textStyle="bold" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/llAdults"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical" >

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" >
                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star"
                        android:contentDescription="@null"
                        android:layout_gravity="center_vertical"/>
                    <TextView
                        android:id="@+id/tvImagoWing"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/Fledging"
                        android:textAppearance="?android:attr/textAppearanceSmall"
                        android:textStyle="bold"
                        android:layout_gravity="center_vertical"/>
                    <dbfields.SpinnerDB
                        android:id="@+id/spiImagoWing"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        style="@style/SpinnerStyle"
                        android:minHeight="@dimen/minHeight"/>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" >
                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star"
                        android:contentDescription="@null"
                        android:layout_gravity="center_vertical"/>
                    <TextView
                        android:id="@+id/tvImagoMaturity"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/Maturity"
                        android:textAppearance="?android:attr/textAppearanceSmall"
                        android:textStyle="bold"
                        android:layout_gravity="center_vertical"/>
                    <dbfields.SpinnerDB
                        android:id="@+id/spiImagoMaturity"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        style="@style/SpinnerStyle"
                        android:minHeight="@dimen/minHeight"/>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" >
                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star"
                        android:contentDescription="@null"
                        android:layout_gravity="center_vertical"/>
                    <TextView
                        android:id="@+id/tvImagoPhase"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/Phase"
                        android:textAppearance="?android:attr/textAppearanceSmall"
                        android:textStyle="bold"
                        android:layout_gravity="center_vertical"/>
                    <dbfields.SpinnerDB
                        android:id="@+id/spiImagoPhase"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        style="@style/SpinnerStyle"
                        android:minHeight="@dimen/minHeight"/>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" >
                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star"
                        android:contentDescription="@null"
                        android:layout_gravity="center_vertical"/>
                    <TextView
                        android:id="@+id/tvImagoAction"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/Spatial_distribution"
                        android:textAppearance="?android:attr/textAppearanceSmall"
                        android:textStyle="bold"
                        android:layout_gravity="center_vertical"/>
                    <dbfields.SpinnerDB
                        android:id="@+id/spiImagoAction"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        style="@style/SpinnerStyle"
                        android:minHeight="@dimen/minHeight"/>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingLeft="@dimen/activity_horizontal_margin">

                    <TextView
                        android:id="@+id/tvImagoDensityGa"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/Adult_density_ha"
                        android:textAppearance="?android:attr/textAppearanceSmall" />

                    <EditText
                        android:id="@+id/edtImagoDensityGa"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:ems="10"
                        android:inputType="numberDecimal" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" >
                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star"
                        android:contentDescription="@null"
                        android:layout_gravity="center_vertical"/>
                    <TextView
                        android:id="@+id/tvImagoDensity"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/Adult_density_m2"
                        android:textAppearance="?android:attr/textAppearanceSmall"
                        android:textStyle="bold" />
                    <EditText
                        android:id="@+id/edtImagoDensity"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:ems="10"
                        android:inputType="numberDecimal" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" >
                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star"
                        android:contentDescription="@null"
                        android:layout_gravity="center_vertical"/>
                    <TextView
                        android:id="@+id/tvImagoFeeding"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/Feeding_and_roosting"
                        android:textAppearance="?android:attr/textAppearanceSmall"
                        android:textStyle="bold"
                        android:layout_gravity="center_vertical"/>
                    <dbfields.SpinnerDB
                        android:id="@+id/spiImagoFeeding"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        style="@style/SpinnerStyle"
                        android:minHeight="@dimen/minHeight"/>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" >
                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star"
                        android:contentDescription="@null"
                        android:layout_gravity="center_vertical"/>
                    <TextView
                        android:id="@+id/tvImagoCopulation"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/Copulating"
                        android:textAppearance="?android:attr/textAppearanceSmall"
                        android:textStyle="bold"
                        android:layout_gravity="center_vertical"/>
                    <dbfields.SpinnerDB
                        android:id="@+id/spiImagoCopulation"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        style="@style/SpinnerStyle"
                        android:minHeight="@dimen/minHeight"/>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" >
                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star"
                        android:contentDescription="@null"
                        android:layout_gravity="center_vertical"/>
                    <TextView
                        android:id="@+id/tvImagolaying"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/Laying"
                        android:textAppearance="?android:attr/textAppearanceSmall"
                        android:textStyle="bold"
                        android:layout_gravity="center_vertical"/>
                    <dbfields.SpinnerDB
                        android:id="@+id/spiImagolaying"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        style="@style/SpinnerStyle"
                        android:minHeight="@dimen/minHeight"/>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" >
                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star"
                        android:contentDescription="@null"
                        android:layout_gravity="center_vertical"/>
                    <TextView
                        android:id="@+id/tvImagoFlying"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/Flying"
                        android:textAppearance="?android:attr/textAppearanceSmall"
                        android:textStyle="bold"
                        android:layout_gravity="center_vertical"/>
                    <dbfields.SpinnerDB
                        android:id="@+id/spiImagoFlying"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        style="@style/SpinnerStyle"
                        android:minHeight="@dimen/minHeight"/>
                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <CheckBox
                    android:id="@+id/cbSwarms"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingLeft="@dimen/padding_checkbox"
                    android:background="#dddddd"
                    android:text="@string/SWARMS"
                    android:textStyle="bold" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/llSwarms"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical" >

                <!--TextView
                    android:id="@+id/tvSwarms"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="#dddddd"
                    android:text="@string/SWARMS"
                    android:textStyle="bold" /-->

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" >
                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star"
                        android:contentDescription="@null"
                        android:layout_gravity="center_vertical"/>
                    <TextView
                        android:id="@+id/tvSwarmMaturity"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/Maturity"
                        android:textAppearance="?android:attr/textAppearanceSmall"
                        android:textStyle="bold"
                        android:layout_gravity="center_vertical"/>
                    <dbfields.SpinnerDB
                        android:id="@+id/spiSwarmMaturity"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        style="@style/SpinnerStyle"
                        android:minHeight="@dimen/minHeight"/>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" >
                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star"
                        android:contentDescription="@null"
                        android:layout_gravity="center_vertical"/>
                    <TextView
                        android:id="@+id/tvSwarmDensity"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/Density_of_swarm"
                        android:textAppearance="?android:attr/textAppearanceSmall"
                        android:textStyle="bold"
                        android:layout_gravity="center_vertical"/>
                    <dbfields.SpinnerDB
                        android:id="@+id/spiSwarmDensity"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        style="@style/SpinnerStyle"
                        android:minHeight="@dimen/minHeight"/>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingLeft="@dimen/activity_horizontal_margin">

                    <TextView
                        android:id="@+id/tvSwarmSize"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/Swarm_size_ha"
                        android:textAppearance="?android:attr/textAppearanceSmall" />

                    <EditText
                        android:id="@+id/edtSwarmSize"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:ems="10"
                        android:inputType="numberDecimal" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingLeft="@dimen/activity_horizontal_margin">

                    <TextView
                        android:id="@+id/tvSwarmCount"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/Number_of_swarms"
                        android:textAppearance="?android:attr/textAppearanceSmall" />

                    <EditText
                        android:id="@+id/edtSwarmCount"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:ems="10"
                        android:inputType="numberDecimal" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingLeft="@dimen/activity_horizontal_margin">

                    <TextView
                        android:id="@+id/tvSwarmFlying"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/Flying_direction"
                        android:textAppearance="?android:attr/textAppearanceSmall"
                        android:layout_gravity="center_vertical"/>

                    <dbfields.SpinnerDB
                        android:id="@+id/spiSwarmFlying"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        style="@style/SpinnerStyle"
                        android:minHeight="@dimen/minHeight"/>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingLeft="@dimen/activity_horizontal_margin">

                    <TextView
                        android:id="@+id/tvSwarmHeight"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/Flying_height"
                        android:textAppearance="?android:attr/textAppearanceSmall"
                        android:layout_gravity="center_vertical"/>

                    <dbfields.SpinnerDB
                        android:id="@+id/spiSwarmHeight"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        style="@style/SpinnerStyle"
                        android:minHeight="@dimen/minHeight"/>
                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="horizontal"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <TextView
                    android:id="@+id/tvDescription"
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:paddingLeft="10dp"
                    android:background="#dddddd"
                    android:text="@string/Comments"
                    android:textStyle="bold"
                    android:textColor="@color/text_title"
                    android:gravity="left|center"/>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <EditText
                    android:id="@+id/edtDescription"
                    android:layout_width="match_parent"
                    android:layout_height="150dp"
                    android:ems="10"
                    android:inputType="textMultiLine" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <CheckBox
                    android:id="@+id/cbTest"
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:paddingLeft="@dimen/padding_checkbox"
                    android:text="@string/Test_questionnaire"
                    android:textStyle="bold" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="horizontal"
                android:gravity="right">

                <com.google.android.material.button.MaterialButton
                    android:id="@+id/btnOk"
                    style="@style/Widget.MaterialComponents.Button.Icon"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:minWidth="190dp"
                    android:minHeight="40dp"
                    android:text="@string/Save"
                    app:iconGravity="textStart"
                    app:icon="@drawable/ic_save"/>

                <Space
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="0"
                    android:minWidth="10dp"
                    android:minHeight="10dp" />

                <com.google.android.material.button.MaterialButton
                    android:id="@+id/btnCancel"
                    style="@style/Widget.MaterialComponents.Button.Icon"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:minWidth="190dp"
                    android:minHeight="40dp"
                    android:text="@string/Cancel"
                    app:iconGravity="textStart"
                    app:icon="@drawable/ic_exit"/>
            </LinearLayout>

        </LinearLayout>
    </ScrollView>



</RelativeLayout>